Package org.zkoss.zk.ui.http

## Class DesktopRecycles

- java.lang.Object
- - org.zkoss.zk.ui.impl.DesktopRecycles
  - - org.zkoss.zk.ui.http.DesktopRecycles

-     public class DesktopRecycles
      extends DesktopRecycles

  Utilities to handle `DesktopRecycle`.
  Since:
    5.0.7
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DesktopRecycles()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `afterService​(DesktopRecycle dtrc, Desktop desktop)` | Called after serving a HTTP request.
    `static Desktop` | `beforeService​(DesktopRecycle dtrc, javax.servlet.ServletContext ctx, Session sess, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)` | Called before serving a HTTP request.

    - ### Methods inherited from class org.zkoss.zk.ui.impl.DesktopRecycles

      `removeDesktop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DesktopRecycles

          public DesktopRecycles()

  - ### Method Detail

    - #### beforeService

          public static Desktop beforeService​(DesktopRecycle dtrc,
                                              javax.servlet.ServletContext ctx,
                                              Session sess,
                                              javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response,
                                              java.lang.String path)

      Called before serving a HTTP request.
      Returns:
        the recycled desktop, or null if no recycled desktop is matched for this request.

    - #### afterService

          public static void afterService​(DesktopRecycle dtrc,
                                          Desktop desktop)

      Called after serving a HTTP request.